Solucionar error de actualización de Chrome en Linux Mint

Llevo varios días postergando un problema en mi equipo de escritorio con Linux Mint 17.3 Rosa Cinnamon que atañe al repositorio de actualizaciones de Google Chrome. No es que use demasiado el navegador de la gente de Mountain View, pero hay ciertas páginas que van regular con Firefox – oh, casualidad, Google Plus es una de ellas – y se me hace más cómodo verlas ahí. Como decía, resulta que desde que Google decidiera retirar el soporte de actualizaciones a su navegador para GNU/Linux en las arquitecturas de 32 bits, cada vez que Linux Mint refrescaba los repositorios aparecía el susodicho error, en forma de aspas rojas sobre el escudo de la barra de tareas, tal que así:

 

Error actualización Linux Mint
Algo no va bien con las actualizaciones

 

Ayer, los amigos de WebUpd8.org publicaban una solución que realmente funciona y de la que me voy a hacer eco. No temáis, que no es nada complicado de resolver.

Abrimos la terminal, bien la escogemos desde el menú de Linux Mint o usamos la combinación de teclas CTRL + ALT + T. Al gusto del consumidor. Escribimos en ella el código que sigue:

sudo gedit /etc/apt/sources.list.d/google-chrome.list

Introducimos nuestra contraseña y ya tenemos abierto el editor de texto en modo super-usuario. En lugar de gedit podemos usar pluma (el predeterminado en MATE) o incluso algún editor en consola, como nano o vi… bueno, si usas vi no estarás leyendo esto, casi seguro.

En el archivo a editar, buscamos la línea:

deb http://dl.google.com/linux/chrome/deb/ stable main

Y le añadimos la expresión [arch=amd64] para que quede de esta forma:

deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main

Quedando como se muestra en la imagen de abajo.

 

Gedit abierto en Linux Mint
La línea que hemos cambiado es la que está subrayada en azul

 

A continuación, guardamos y salimos del editor. De vuelta a la consola, abrimos un segundo fichero:

sudo gedit /opt/google/chrome/cron/google-chrome

Buscamos estas dos líneas:

REPOCONFIG="deb http://dl.google.com/linux/chrome/deb/ stable main"
SSLREPOCONFIG="deb https://dl.google.com/linux/chrome/deb/ stable main"

Volvemos a colocar la misma expresión, [arch=amd64], en cada una de ellas y tenemos las líneas corregidas:

REPOCONFIG="deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main"
SSLREPOCONFIG="deb [arch=amd64] https://dl.google.com/linux/chrome/deb/ stable main"

El resultado tiene que ser el que se muestra a continuación:

 

Editor Gedit en Linux Mint
Ídem en esta imagen: las líneas subrayadas han sido cambiadas para resolver el problema

 

Guardamos, salimos y… ¡eso es todo! Nos quedará abrir el gestor de actualizaciones y, usando el botón de “Refrescar”, hacerlo pasar de esta triste imagen:

 

Error al actualizar Linux Mint
Emoticono con cara contrariada… nada bueno

 

A esta otra, contento y feliz:

 

Linux Mint actualizado
Todo ha vuelto a la normalidad en nuestro Linux Mint

 

Hemos recuperado la paz y la armonía. Los agradecimientos a Andrew, de WebUpd8.org. Yo me he limitado a traducir y publicar su solución, que también es válida para Ubuntu, Debian y derivadas, al usar el mismo repositorio para Google Chrome.

Salud

Fuente: Fix `Failed To Fetch` Google Chrome Repository After Google Dropped Support For Its Browser On Linux 32bit

Anuncios